- [HTTP request](https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/create#body.request_body)
- [Response body](https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/create#body.response_body)
- [Authorization scopes](https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations/create#body.aspect)

Creates a new Location that will be owned by the logged in user.

### HTTP request

`POST https://mybusinessbusinessinformation.googleapis.com/v1/{parent=accounts/*}/locations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The name of the account in which to create this location. |

### Query parameters

| Parameters ||
|---|---|
| `validateOnly` | `boolean` Optional. If true, the request is validated without actually creating the location. |
| `requestId` | `string` Optional. A unique request ID for the server to detect duplicated requests. We recommend using UUIDs. Max length is 50 characters. |

### Request body

The request body contains an instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations#Location`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/my-business/reference/businessinformation/rest/v1/accounts.locations#Location`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/business.manage`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).